Skip to main content
GET
/
media-bridge
/
v1
/
{appId}
/
settings
/
event-visibility
View event visibility settings
curl --request GET \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/settings/event-visibility \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "visibilitySettings": [
    {
      "eventType": "ALL",
      "updatedAt": 123,
      "showInReporting": true,
      "showInTimeline": true,
      "showInWorkflows": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

Response

successful operation

createdAt
string<date-time>
required
visibilitySettings
object[]
required
Last modified on May 15, 2026